> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a claim



## OpenAPI

````yaml post /v1/claims/
openapi: 3.0.3
info:
  title: paywise Case Management API
  version: v1
  description: |

    Use our Case Management API to perform the debt entire collection process.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/case-management-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/case-management-api/
paths:
  /v1/claims/:
    post:
      tags:
        - claims
      summary: Create a claim
      operationId: create-claim
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClaimSerializerWithoutIdRequest'
            examples:
              Example1:
                value:
                  debtor: 5352c781-9ed1-45cc-bd15-9ec342435ae2
                  your_reference: order-12-A-245-2022
                  document_reference: RE-202200045
                  subject_matter: Warenlieferung Playstation 7
                  occurence_date: '2022-09-01'
                  document_date: '2022-09-01'
                  due_date: '2022-09-19'
                  reminder_date: '2022-09-24'
                  delay_date: '2022-09-24'
                  total_claim_amount:
                    value: '1202.50'
                    currency: EUR
                  main_claim_amount:
                    value: '1200.00'
                    currency: EUR
                  items:
                    - description: Playstation 7
                      quantity: 1
                      unit: pcs
                      amount:
                        value: '1200.00'
                        currency: EUR
                  additional_charges_amount:
                    value: '2.50'
                    currency: EUR
                  additional_charges:
                    - type: reminder_fee
                      your_reference: string
                      document_reference: MA-2022002
                      subject_matter: MahngebÃ¼hren 1. Mahnung
                      occurence_date: '2022-09-24'
                      document_date: '2022-09-24'
                      due_date: '2022-10-09'
                      amount:
                        value: '2.50'
                        currency: EUR
                      events:
                        - title: Reminder delivered to debtor's address.
                          occurence: '2019-09-24T06:34:43.206Z'
                          your_reference: '123456789'
                          description: >-
                            The reminder was delivered to the debtor's home
                            address via Deutsche Post AG. Based on information
                            taken from tracking code DPAG-124-234543
                          type: invoice
                          location: Debtor home address
                        - title: Sendout of reminder via postal service
                          occurence: '2019-09-24T06:34:43.206Z'
                          your_reference: '123456789'
                          description: >-
                            The reminder was sent via Deutsche Post AG. Tracking
                            code: DPAG-124-234543
                          type: invoice
                          location: Our office
                  payments:
                    - your_reference: MY-REF02
                      amount:
                        value: '105.00'
                        currency: EUR
                      value_date: '2023-05-24'
                      metadata:
                        - type: invoice:reference
                          value: RE-202200045
                    - your_reference: MY-REF01
                      amount:
                        value: '90.23'
                        currency: EUR
                      value_date: '2023-05-23'
                      metadata:
                        - type: invoice:reference
                          value: RE-202200045
                  starting_approach: extrajudicial
                  claim_disputed: false
                  obligation_fulfilled: true
                  metadata:
                    - type: invoice:reference
                      value: RE-202200045
                    - type: comment
                      value: >-
                        Der Schuldner hat auf keine unserer Kontaktanfragen
                        reagiert.
                  events:
                    - title: Delivery of goods
                      occurence: '2022-09-03T14:15:22Z'
                      your_reference: string
                      description: >-
                        Goods were delivered at debtors address. Based on
                        information from DHL tracking code DHL-123-3421.
                      type: delivery
                      location: Debtor home address
                summary: Example 1
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ClaimSerializerWithoutIdRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ClaimSerializerWithoutIdRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Claim'
          description: ''
      security:
        - tokenAuth: []
        - tokenAuth: []
components:
  schemas:
    ClaimSerializerWithoutIdRequest:
      type: object
      properties:
        debtor:
          type: string
          format: uuid
          description: Your existing debtor's ID.
        your_reference:
          type: string
          nullable: true
          description: Your unique reference.
          maxLength: 255
        subject_matter:
          type: string
          nullable: true
          description: >-
            A detailed description of the delivered goods or the provided
            service.
        occurence_date:
          type: string
          format: date
          nullable: true
          description: The date of emergence of the principal claim ("Vertragsdatum").
        document_reference:
          type: string
          nullable: true
          description: >-
            The unique reference of your invoice ("Rechnungsnummer"), contract
            ("Vertragsnummer") or other document ("Belegnummer").
          maxLength: 255
        document_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date of your invoice ("Rechnungsdatum"), contract
            ("Vertragsdatum") or other document ("Belegdatum").
        due_date:
          type: string
          format: date
          nullable: true
          description: The date your claim was due for payment.
        reminder_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date of your first reminder ("Mahnung") to your customer. Please
            note: the date of a "Zahlungserinnerung" does not qualify. It must
            be a "Mahnung" by german standards.
        delay_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date from which your debtor is in delay ("Verzugsdatum"). Please
            check back with our team if you are unsure what to place here.
        total_claim_amount:
          allOf:
            - $ref: '#/components/schemas/AmountRequest'
          description: >-
            The total **open** amount of the claim, including additional
            charges. Equals the sum of the main claim amount and the sum of all
            additional charges' amounts - minus any payments you already
            received on the claim.
        main_claim_amount:
          allOf:
            - $ref: '#/components/schemas/AmountRequest'
          description: >-
            The **original amount** of the principal claim including VAT or
            sales tax. Does not have any additional charges added or payments
            subtracted.
        items:
          type: array
          items:
            $ref: '#/components/schemas/ItemRequest'
          description: >-
            The items listed on your invoice or contract ("Rechnungsposten" or
            "Leistungen")
        additional_charges_amount:
          allOf:
            - $ref: '#/components/schemas/AmountRequest'
          description: The sum of all additional charges of the claim.
        additional_charges:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalChargeRequest'
          description: >-
            Additional charges for your claim ("incidental claims" or
            "Nebenforderungen"). Those are typically reminder fees
            ("MahngebÃ¼hren") or bank charges for chargebacks
            ("RÃ¼cklastschriftgebÃ¼hren").
        payments:
          type: array
          items:
            $ref: '#/components/schemas/ClaimPaymentRequest'
          description: Any payments you have received for your claim so far.
        starting_approach:
          allOf:
            - $ref: '#/components/schemas/StartingApproachEnum'
          description: >-
            Our starting approach to collect the claim: extrajudicial
            ("auÃŸergerichtlich") or judicial ("gerichtliches Mahnverfahren").


            * `extrajudicial` - ZunÃ¤chst auÃŸergerichtlich starten

            * `judicial` - Gleich Mahnbescheid beantragen
        claim_disputed:
          allOf:
            - $ref: '#/components/schemas/ClaimDisputedEnum'
          description: >-
            Tell us if the claim was disputed by your customer. If you are
            unsure what to select here, please check back with our team.


            * `True` - Ja

            * `False` - Nein
        obligation_fulfilled:
          allOf:
            - $ref: '#/components/schemas/ObligationFulfilledEnum'
          description: >-
            Tell us if you fully fulfilled your contractual obligation towards
            the debtor. If you are unsure what to select here, please check back
            with our team.


            * `True` - Ja

            * `False` - Nein
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/ClaimMetaDataRequest'
          description: >-
            The metadata object allows you to submit additional relevant
            information related to the claim as type/value pairs. You can submit
            an unlimited number of metadata sets.
        events:
          type: array
          items:
            $ref: '#/components/schemas/ClaimEventRequest'
          description: Events regarding the claim. See request/response examples.
      required:
        - claim_disputed
        - debtor
        - delay_date
        - document_date
        - document_reference
        - due_date
        - main_claim_amount
        - obligation_fulfilled
        - occurence_date
        - reminder_date
        - starting_approach
        - subject_matter
        - total_claim_amount
        - your_reference
    Claim:
      type: object
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        submission_state:
          allOf:
            - $ref: '#/components/schemas/SubmissionStateEnum'
          readOnly: true
        debtor:
          type: string
          format: uuid
          description: Your existing debtor's ID.
        mandate:
          allOf:
            - $ref: '#/components/schemas/MandateMinInfo'
          readOnly: true
          description: >-
            After a submitted claim was accepted by our team, it is added to a
            mandate.
        your_reference:
          type: string
          nullable: true
          description: Your unique reference.
          maxLength: 255
        subject_matter:
          type: string
          nullable: true
          description: >-
            A detailed description of the delivered goods or the provided
            service.
        occurence_date:
          type: string
          format: date
          nullable: true
          description: The date of emergence of the principal claim ("Vertragsdatum").
        document_reference:
          type: string
          nullable: true
          description: >-
            The unique reference of your invoice ("Rechnungsnummer"), contract
            ("Vertragsnummer") or other document ("Belegnummer").
          maxLength: 255
        document_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date of your invoice ("Rechnungsdatum"), contract
            ("Vertragsdatum") or other document ("Belegdatum").
        due_date:
          type: string
          format: date
          nullable: true
          description: The date your claim was due for payment.
        reminder_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date of your first reminder ("Mahnung") to your customer. Please
            note: the date of a "Zahlungserinnerung" does not qualify. It must
            be a "Mahnung" by german standards.
        delay_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date from which your debtor is in delay ("Verzugsdatum"). Please
            check back with our team if you are unsure what to place here.
        total_claim_amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          description: >-
            The total **open** amount of the claim, including additional
            charges. Equals the sum of the main claim amount and the sum of all
            additional charges' amounts - minus any payments you already
            received on the claim.
        main_claim_amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          description: >-
            The **original amount** of the principal claim including VAT or
            sales tax. Does not have any additional charges added or payments
            subtracted.
        items:
          type: array
          items:
            $ref: '#/components/schemas/Item'
          description: >-
            The items listed on your invoice or contract ("Rechnungsposten" or
            "Leistungen")
        additional_charges_amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          description: The sum of all additional charges of the claim.
        additional_charges:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalCharge'
          description: >-
            Additional charges for your claim ("incidental claims" or
            "Nebenforderungen"). Those are typically reminder fees
            ("MahngebÃ¼hren") or bank charges for chargebacks
            ("RÃ¼cklastschriftgebÃ¼hren").
        payments:
          type: array
          items:
            $ref: '#/components/schemas/ClaimPayment'
          description: Any payments you have received for your claim so far.
        starting_approach:
          allOf:
            - $ref: '#/components/schemas/StartingApproachEnum'
          description: >-
            Our starting approach to collect the claim: extrajudicial
            ("auÃŸergerichtlich") or judicial ("gerichtliches Mahnverfahren").


            * `extrajudicial` - ZunÃ¤chst auÃŸergerichtlich starten

            * `judicial` - Gleich Mahnbescheid beantragen
        claim_disputed:
          allOf:
            - $ref: '#/components/schemas/ClaimDisputedEnum'
          description: >-
            Tell us if the claim was disputed by your customer. If you are
            unsure what to select here, please check back with our team.


            * `True` - Ja

            * `False` - Nein
        obligation_fulfilled:
          allOf:
            - $ref: '#/components/schemas/ObligationFulfilledEnum'
          description: >-
            Tell us if you fully fulfilled your contractual obligation towards
            the debtor. If you are unsure what to select here, please check back
            with our team.


            * `True` - Ja

            * `False` - Nein
        documents:
          type: array
          items:
            $ref: '#/components/schemas/UploadedDocument'
          readOnly: true
          description: >-
            Documents relevant for processing of the claim. Usually invoices,
            reminders, contracts or correspondence with the debtor.
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/ClaimMetaData'
          description: >-
            The metadata object allows you to submit additional relevant
            information related to the claim as type/value pairs. You can submit
            an unlimited number of metadata sets.
        events:
          type: array
          items:
            $ref: '#/components/schemas/ClaimEvent'
          description: Events regarding the claim. See request/response examples.
        created:
          type: string
          format: date-time
          readOnly: true
        updated:
          type: string
          format: date-time
          readOnly: true
      required:
        - claim_disputed
        - created
        - debtor
        - delay_date
        - document_date
        - document_reference
        - documents
        - due_date
        - href
        - main_claim_amount
        - mandate
        - obligation_fulfilled
        - occurence_date
        - reminder_date
        - starting_approach
        - subject_matter
        - submission_state
        - total_claim_amount
        - updated
        - your_reference
    AmountRequest:
      type: object
      description: Amount
      properties:
        value:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          description: >-
            A string representation of a positive integer or decimal with two
            decimal places.
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: |-
            The three-character currency code (ISO-4217).

            * `EUR` - Euro
            * `USD` - US Dollar
    ItemRequest:
      type: object
      description: Main claim items do not have fields occurence_date and document_date
      properties:
        description:
          type: string
          minLength: 1
          description: A description of the item.
          maxLength: 1000
        quantity:
          type: number
          format: double
          description: The quantity of the item. Usually a number of pieces or hours.
        unit:
          type: string
          nullable: true
          description: >-
            The unit used to measure the quantity of the item. Examples are:
            "pcs" ("pieces"), "hours", "kg" (kilograms)
          maxLength: 255
        amount:
          allOf:
            - $ref: '#/components/schemas/AmountRequest'
          description: The amount invoices for the item ("Betrag des Rechnungspostens").
      required:
        - amount
        - description
        - quantity
    AdditionalChargeRequest:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        type:
          allOf:
            - $ref: '#/components/schemas/AdditionalChargeTypeEnum'
          description: >-
            The type of additional charge (e.g., "reminder_fee",
            "chargeback_fee", etc.).


            * `reminder_fee` - MahngebÃ¼hr

            * `bank_charge` - BankgebÃ¼hr

            * `processing_fee` - BearbeitungsgebÃ¼hr

            * `cancellation_fee` - Abbruch-/StornierungsgebÃ¼hr

            * `convenience_fee` - Convenience fee

            * `advisory_fee` - Advisory fee

            * `handling_fee` - Handling fee

            * `insurance_fee` - Insurance fee

            * `legal_fee` - Legal fee

            * `delivery_charge` - Delivery charge

            * `service_charge` - Service charge

            * `data_preparation` - Data preparation

            * `communication_cost` - Communication cost

            * `expenses` - Expenses
        your_reference:
          type: string
          nullable: true
          description: Your unique reference.
          maxLength: 255
        subject_matter:
          type: string
          nullable: true
          description: >-
            A description of the incidental claim. For example "MahngebÃ¼hren 1.
            Mahnung".
        occurence_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date the charge was initiated. For example the date of the
            reminder (reminder fee) or a chargeback fee's value date.
        document_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date of the document the charge was initiated with
            ("Belegdatum").
        due_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date your additional charge was due for payment. Applicaple
            mainly for payment reminders. Leave empty if no due date exists (for
            example in case of bank fees)
        amount:
          allOf:
            - $ref: '#/components/schemas/AmountRequest'
          description: The amount of the additional charge.
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/ClaimMetaDataRequest'
          description: >-
            The metadata object allows you to submit additional relevant
            information related to the additional charge as type/value pairs.
            You can submit an unlimited number of metadata sets.
        events:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalChargeEventRequest'
          description: >-
            Events regarding the additional charge. See request/response
            examples.
      required:
        - amount
        - document_date
        - due_date
        - occurence_date
        - subject_matter
        - type
        - your_reference
    ClaimPaymentRequest:
      type: object
      description: A payment associated for a claim
      properties:
        your_reference:
          type: string
          nullable: true
          description: Your unique reference.
          maxLength: 255
        amount:
          allOf:
            - $ref: '#/components/schemas/AmountRequest'
          description: The amount of the payment.
        value_date:
          type: string
          format: date
          description: The value date of the payment.
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/PaymentMetaDataRequest'
          description: >-
            The metadata object allows you to submit additional relevant
            information related to the payment as type/value pairs. You can
            submit an unlimited number of metadata sets.
      required:
        - amount
        - value_date
    StartingApproachEnum:
      enum:
        - extrajudicial
        - judicial
      type: string
      description: |-
        * `extrajudicial` - ZunÃ¤chst auÃŸergerichtlich starten
        * `judicial` - Gleich Mahnbescheid beantragen
    ClaimDisputedEnum:
      enum:
        - true
        - false
      type: boolean
      description: |-
        * `True` - Ja
        * `False` - Nein
    ObligationFulfilledEnum:
      enum:
        - true
        - false
      type: boolean
      description: |-
        * `True` - Ja
        * `False` - Nein
    ClaimMetaDataRequest:
      type: object
      description: Metadata for debtors
      properties:
        type:
          $ref: '#/components/schemas/ClaimMetaDataTypeEnum'
        value:
          type: string
          minLength: 1
          maxLength: 255
      required:
        - type
        - value
    ClaimEventRequest:
      type: object
      description: Base class for events. Subclassed by other serializers.
      properties:
        type:
          $ref: '#/components/schemas/ClaimEventTypeEnum'
        title:
          type: string
          minLength: 1
          maxLength: 255
        occurence:
          type: string
          format: date-time
        your_reference:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 255
        location:
          type: string
          nullable: true
          maxLength: 255
      required:
        - occurence
        - title
        - type
    SubmissionStateEnum:
      enum:
        - created
        - released
        - under_review
        - client_response_pending
        - accepted
        - rejected
      type: string
      description: >-
        * `created` - Created (claim saved in the system; does NOT constitute
        acceptance by paywise)

        * `released` - Released for processing

        * `under_review` - Under review

        * `client_response_pending` - Pending client response

        * `accepted` - Accepted (formally accepted by paywise; a formal
        acceptance notification is delivered)

        * `rejected` - Rejected
    MandateMinInfo:
      type: object
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        reference_number:
          type: string
          description: Our case file reference number ("Aktenzeichen").
      required:
        - href
    Amount:
      type: object
      description: Amount
      properties:
        value:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          description: >-
            A string representation of a positive integer or decimal with two
            decimal places.
        currency:
          allOf:
            - $ref: '#/components/schemas/CurrencyEnum'
          description: |-
            The three-character currency code (ISO-4217).

            * `EUR` - Euro
            * `USD` - US Dollar
    Item:
      type: object
      description: Main claim items do not have fields occurence_date and document_date
      properties:
        description:
          type: string
          description: A description of the item.
          maxLength: 1000
        quantity:
          type: number
          format: double
          description: The quantity of the item. Usually a number of pieces or hours.
        unit:
          type: string
          nullable: true
          description: >-
            The unit used to measure the quantity of the item. Examples are:
            "pcs" ("pieces"), "hours", "kg" (kilograms)
          maxLength: 255
        amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          description: The amount invoices for the item ("Betrag des Rechnungspostens").
      required:
        - amount
        - description
        - quantity
    AdditionalCharge:
      type: object
      properties:
        id:
          type: string
        type:
          allOf:
            - $ref: '#/components/schemas/AdditionalChargeTypeEnum'
          description: >-
            The type of additional charge (e.g., "reminder_fee",
            "chargeback_fee", etc.).


            * `reminder_fee` - MahngebÃ¼hr

            * `bank_charge` - BankgebÃ¼hr

            * `processing_fee` - BearbeitungsgebÃ¼hr

            * `cancellation_fee` - Abbruch-/StornierungsgebÃ¼hr

            * `convenience_fee` - Convenience fee

            * `advisory_fee` - Advisory fee

            * `handling_fee` - Handling fee

            * `insurance_fee` - Insurance fee

            * `legal_fee` - Legal fee

            * `delivery_charge` - Delivery charge

            * `service_charge` - Service charge

            * `data_preparation` - Data preparation

            * `communication_cost` - Communication cost

            * `expenses` - Expenses
        your_reference:
          type: string
          nullable: true
          description: Your unique reference.
          maxLength: 255
        subject_matter:
          type: string
          nullable: true
          description: >-
            A description of the incidental claim. For example "MahngebÃ¼hren 1.
            Mahnung".
        occurence_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date the charge was initiated. For example the date of the
            reminder (reminder fee) or a chargeback fee's value date.
        document_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date of the document the charge was initiated with
            ("Belegdatum").
        due_date:
          type: string
          format: date
          nullable: true
          description: >-
            The date your additional charge was due for payment. Applicaple
            mainly for payment reminders. Leave empty if no due date exists (for
            example in case of bank fees)
        amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          description: The amount of the additional charge.
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/ClaimMetaData'
          description: >-
            The metadata object allows you to submit additional relevant
            information related to the additional charge as type/value pairs.
            You can submit an unlimited number of metadata sets.
        events:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalChargeEvent'
          description: >-
            Events regarding the additional charge. See request/response
            examples.
      required:
        - amount
        - document_date
        - due_date
        - occurence_date
        - subject_matter
        - type
        - your_reference
    ClaimPayment:
      type: object
      description: A payment associated for a claim
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        your_reference:
          type: string
          nullable: true
          description: Your unique reference.
          maxLength: 255
        amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
          description: The amount of the payment.
        value_date:
          type: string
          format: date
          description: The value date of the payment.
        metadata:
          type: array
          items:
            $ref: '#/components/schemas/PaymentMetaData'
          description: >-
            The metadata object allows you to submit additional relevant
            information related to the payment as type/value pairs. You can
            submit an unlimited number of metadata sets.
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - amount
        - created
        - href
        - value_date
    UploadedDocument:
      type: object
      properties:
        id:
          type: string
        mime_type:
          type: string
          readOnly: true
          nullable: true
        filename:
          type: string
      required:
        - filename
        - mime_type
    ClaimMetaData:
      type: object
      description: Metadata for debtors
      properties:
        type:
          $ref: '#/components/schemas/ClaimMetaDataTypeEnum'
        value:
          type: string
          maxLength: 255
      required:
        - type
        - value
    ClaimEvent:
      type: object
      description: Base class for events. Subclassed by other serializers.
      properties:
        type:
          $ref: '#/components/schemas/ClaimEventTypeEnum'
        title:
          type: string
          maxLength: 255
        occurence:
          type: string
          format: date-time
        your_reference:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 255
        location:
          type: string
          nullable: true
          maxLength: 255
      required:
        - occurence
        - title
        - type
    CurrencyEnum:
      enum:
        - EUR
        - USD
      type: string
      description: |-
        * `EUR` - Euro
        * `USD` - US Dollar
    AdditionalChargeTypeEnum:
      enum:
        - reminder_fee
        - bank_charge
        - processing_fee
        - cancellation_fee
        - convenience_fee
        - advisory_fee
        - handling_fee
        - insurance_fee
        - legal_fee
        - delivery_charge
        - service_charge
        - data_preparation
        - communication_cost
        - expenses
      type: string
      description: |-
        * `reminder_fee` - MahngebÃ¼hr
        * `bank_charge` - BankgebÃ¼hr
        * `processing_fee` - BearbeitungsgebÃ¼hr
        * `cancellation_fee` - Abbruch-/StornierungsgebÃ¼hr
        * `convenience_fee` - Convenience fee
        * `advisory_fee` - Advisory fee
        * `handling_fee` - Handling fee
        * `insurance_fee` - Insurance fee
        * `legal_fee` - Legal fee
        * `delivery_charge` - Delivery charge
        * `service_charge` - Service charge
        * `data_preparation` - Data preparation
        * `communication_cost` - Communication cost
        * `expenses` - Expenses
    AdditionalChargeEventRequest:
      type: object
      description: Base class for events. Subclassed by other serializers.
      properties:
        type:
          $ref: '#/components/schemas/AdditionalChargeEventTypeEnum'
        title:
          type: string
          minLength: 1
          maxLength: 255
        occurence:
          type: string
          format: date-time
        your_reference:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 255
        location:
          type: string
          nullable: true
          maxLength: 255
      required:
        - occurence
        - title
        - type
    PaymentMetaDataRequest:
      type: object
      description: Metadata for payments
      properties:
        type:
          $ref: '#/components/schemas/PaymentMetaDataTypeEnum'
        value:
          type: string
          minLength: 1
          maxLength: 255
      required:
        - type
        - value
    ClaimMetaDataTypeEnum:
      enum:
        - comment
        - invoice:reference
        - invoice:date
        - invoice:address_line_1
        - invoice:address_line_2
        - invoice:address_city
        - invoice:address_country
        - invoice:address_zip
        - invoice:amount
        - transaction:reference
        - transaction:source_ip_address
        - contract:reference
        - report:reference
        - account:reference
        - claim:holder:address:country
        - claim:holder:address:city
        - claim:holder:name
        - dunning:level
        - reminder:date
        - reminder:amount:value
        - reminder:amount:currency
        - notification:date
        - confirmation:email
        - order:rate
        - order:deposit
        - order:cashback
        - order:prepaid
        - order:type
        - rental:pickup:date
        - rental:pickup:time
        - rental:pickup:city
        - rental:dropoff:date
        - rental:dropoff:time
        - rental:dropoff:city
        - rental:gps_tracking
        - rental:charged_items
        - payment:method
        - import:csv:filename
        - insurance:bonus_malus_system
        - insurance:contribution_rate
        - insurance:regional_class_liability_insurance
        - insurance:regional_class_partial_coverage
        - payment:frequency
        - language
        - tax:id
        - notification_delivery:date
        - merchant:address_line1
        - merchant:address_city
        - merchant:address_zip
        - merchant:address_country
        - merchant:company_name
        - merchant:company_type
        - merchant:representative_firstname
        - merchant:representative_secondname
        - merchant:website_url
        - chargeback:reason
        - shop:website_url
        - subscription:overdue_period
        - subscription:duration
        - subscription:start
        - subscription:delivery:address
        - subscription:reference
        - subscription:renewal
        - subscription:last_login
        - subscription:photo_available
        - subscription:type
        - subscription:termination
        - medical:patient
        - debtor:file_id
        - email:seller
        - name:seller
        - addressline:seller
        - zip:seller
        - city:seller
        - name:ditsributor
        - email:distributor
        - addressline:distributor
        - zip:distributor
        - city:distributor
        - logo:distributor_pdf
        - logo:distributor_email
        - account:beneficiary
        - purchase:price
        - conditional:purchase_price
        - direct:payments
        - VAT
        - product:type
      type: string
      description: >-
        * `comment` - comment

        * `invoice:reference` - invoice:reference

        * `invoice:date` - invoice:date

        * `invoice:address_line_1` - invoice:address_line_1

        * `invoice:address_line_2` - invoice:address_line_2

        * `invoice:address_city` - invoice:address_city

        * `invoice:address_country` - invoice:address_country

        * `invoice:address_zip` - invoice:address_zip

        * `invoice:amount` - invoice:amount

        * `transaction:reference` - transaction:reference

        * `transaction:source_ip_address` - transaction:source_ip_address

        * `contract:reference` - contract:reference

        * `report:reference` - report:reference

        * `account:reference` - account:reference

        * `claim:holder:address:country` - claim:holder:address:country

        * `claim:holder:address:city` - claim:holder:address:city

        * `claim:holder:name` - claim:holder:name

        * `dunning:level` - dunning:level

        * `reminder:date` - reminder:date

        * `reminder:amount:value` - reminder:amount:value

        * `reminder:amount:currency` - reminder:amount:currency

        * `notification:date` - notification:date

        * `confirmation:email` - confirmation:email

        * `order:rate` - order:rate

        * `order:deposit` - order:deposit

        * `order:cashback` - order:cashback

        * `order:prepaid` - order:prepaid

        * `order:type` - order:type

        * `rental:pickup:date` - rental:pickup:date

        * `rental:pickup:time` - rental:pickup:time

        * `rental:pickup:city` - rental:pickup:city

        * `rental:dropoff:date` - rental:dropoff:date

        * `rental:dropoff:time` - rental:dropoff:time

        * `rental:dropoff:city` - rental:dropoff:city

        * `rental:gps_tracking` - rental:gps_tracking

        * `rental:charged_items` - rental:charged_items

        * `payment:method` - payment:method

        * `import:csv:filename` - import:csv:filename

        * `insurance:bonus_malus_system` - insurance:bonus_malus_system

        * `insurance:contribution_rate` - insurance:contribution_rate

        * `insurance:regional_class_liability_insurance` -
        insurance:regional_class_liability_insurance

        * `insurance:regional_class_partial_coverage` -
        insurance:regional_class_partial_coverage

        * `payment:frequency` - payment:frequency

        * `language` - language

        * `tax:id` - tax:id

        * `notification_delivery:date` - notification_delivery:date

        * `merchant:address_line1` - merchant:address_line1

        * `merchant:address_city` - merchant:address_city

        * `merchant:address_zip` - merchant:address_zip

        * `merchant:address_country` - merchant:address_country

        * `merchant:company_name` - merchant:company_name

        * `merchant:company_type` - merchant:company_type

        * `merchant:representative_firstname` -
        merchant:representative_firstname

        * `merchant:representative_secondname` -
        merchant:representative_secondname

        * `merchant:website_url` - merchant:website_url

        * `chargeback:reason` - chargeback:reason

        * `shop:website_url` - shop:website_url

        * `subscription:overdue_period` - subscription:overdue_period

        * `subscription:duration` - subscription:duration

        * `subscription:start` - subscription:start

        * `subscription:delivery:address` - subscription:delivery:address

        * `subscription:reference` - subscription:reference

        * `subscription:renewal` - subscription:renewal

        * `subscription:last_login` - subscription:last_login

        * `subscription:photo_available` - subscription:photo_available

        * `subscription:type` - subscription:type

        * `subscription:termination` - subscription:termination

        * `medical:patient` - medical:patient

        * `debtor:file_id` - debtor:file_id

        * `email:seller` - email:seller

        * `name:seller` - name:seller

        * `addressline:seller` - addressline:seller

        * `zip:seller` - zip:seller

        * `city:seller` - city:seller

        * `name:ditsributor` - name:ditsributor

        * `email:distributor` - email:distributor

        * `addressline:distributor` - addressline:distributor

        * `zip:distributor` - zip:distributor

        * `city:distributor` - city:distributor

        * `logo:distributor_pdf` - logo:distributor_pdf

        * `logo:distributor_email` - logo:distributor_email

        * `account:beneficiary` - account:beneficiary

        * `purchase:price` - purchase:price

        * `conditional:purchase_price` - conditional:purchase_price

        * `direct:payments` - direct:payments

        * `VAT` - VAT

        * `product:type` - product:type
    ClaimEventTypeEnum:
      enum:
        - claim
        - delivery
      type: string
      description: |-
        * `claim` - claim
        * `delivery` - delivery
    AdditionalChargeEvent:
      type: object
      description: Base class for events. Subclassed by other serializers.
      properties:
        type:
          $ref: '#/components/schemas/AdditionalChargeEventTypeEnum'
        title:
          type: string
          maxLength: 255
        occurence:
          type: string
          format: date-time
        your_reference:
          type: string
          nullable: true
          maxLength: 255
        description:
          type: string
          nullable: true
          maxLength: 255
        location:
          type: string
          nullable: true
          maxLength: 255
      required:
        - occurence
        - title
        - type
    PaymentMetaData:
      type: object
      description: Metadata for payments
      properties:
        type:
          $ref: '#/components/schemas/PaymentMetaDataTypeEnum'
        value:
          type: string
          maxLength: 255
      required:
        - type
        - value
    AdditionalChargeEventTypeEnum:
      enum:
        - invoice
        - transaction
      type: string
      description: |-
        * `invoice` - invoice
        * `transaction` - transaction
    PaymentMetaDataTypeEnum:
      enum:
        - comment
        - invoice:reference
        - invoice:update_and_capture
        - transaction:reference
        - contract:reference
        - report:reference
        - contravention:reference
      type: string
      description: |-
        * `comment` - comment
        * `invoice:reference` - invoice:reference
        * `invoice:update_and_capture` - invoice:update_and_capture
        * `transaction:reference` - transaction:reference
        * `contract:reference` - contract:reference
        * `report:reference` - report:reference
        * `contravention:reference` - contravention:reference
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````